× How To / General

Upgrading to Moodle 3.7.2

2 months 3 weeks ago
Tim
Posts: 63
More
Topic Author
Upgrading to Moodle 3.7.2 #1
I am trying to upgrade to Moodle 3.11 from 3.10

Before doing so, there are no Moodle plugins showing as needing update. Joomdle is working just fine and the system check is all green.

After uploading the moodle 3.11 files to their own folder and renaming that folder so t is the live Moodle folder, and copying the Joomdle plugins to the new folder, the Joomdle check is all green except for "Joomdle web services" which is red with the message "Joomdle version is different in Joomla and Moodle"

I also cannot log into Moodle to trigger the update process.

BTW, just as a side note in case it is related. When I go to save course changes in Moodle (ie the course name) I get this error "Coding error detected, it must be fixed by a programmer: The data source class does not exist." Even with the error, the changes I make to the courses are still saved. I was thinking if I update to 3.11 maybe this error would go away, but that plan isn't working because of the above issue.

Please Log in or Create an account to join the conversation.

2 months 3 weeks ago
Antonio Durán
Posts: 7331
More
Upgrading to Moodle 3.7.2 #2
Hi Tim.

The first thing to do is to enable debugging in Moodle, to get more info about the coding error detected.

> I also cannot log into Moodle to trigger the update process.

You cannot log in with an admin? Do you have any admins with manual auth set? You can check this in the users table in Moodle DB.

Please Log in or Create an account to join the conversation.